<template>
  <v-layout color="#f8f8f8">
    <v-flex md12 pa-1>
      <v-layout style="display: flex;justify-content: flex-end;">
        <span class="text" style="margin:6px">Start Date</span>
        <v-flex md2>
          <v-menu
            v-model="startmenu"
            :close-on-content-click="false"
            :nudge-right="40"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-text-field
                outline
                :value="computedDateFormattedMomentjs"
                v-model="startdate"
                append-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-text-field>
            </template>
            <v-date-picker
              no-title
              color="green lighten-1"
              v-model="startdate"
              @change="defaultData()"
              @input="startmenu = false"
            ></v-date-picker>
          </v-menu>
        </v-flex>
        <span class="text" style="margin:6px">End Date</span>
        <v-flex md2>
          <v-menu
            v-model="endmenu"
            :close-on-content-click="false"
            :nudge-left="150"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-text-field
                outline
                :value="computedDateFormattedMomentjs"
                v-model="enddate"
                append-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-text-field>
            </template>
            <v-date-picker
              no-title
              color="green lighten-1"
              v-model="enddate"
              @change="defaultData()"
              @input="endmenu = false"
            ></v-date-picker>
          </v-menu>
        </v-flex>
      </v-layout>

      <v-card class="mx-auto my-12 card-summary" elevation="2" width="100%">
        <v-layout class="wrap">
          <v-flex xs3>
            <img :src="images.com" style="width: 80%;" />
          </v-flex>
          <v-flex xs2 class="card-con">
            <img :src="images.total" class="icon-box" />
            <v-card-text class="box">
              <span class="total">{{ this.totaltransaction }}</span
              ><br />
              <span class="textbox">Total</span>
            </v-card-text>
          </v-flex>
          <v-flex xs2 class="card-con">
            <img :src="images.inprocess" class="icon-box" />
            <v-card-text class="box">
              <span class="inprocess">{{ this.inprocess }}</span
              ><br />
              <span class="textbox">In process</span>
            </v-card-text>
          </v-flex>
          <v-flex xs2 class="card-con">
            <img :src="images.completed" class="icon-box" />
            <v-card-text class="box">
              <span class="completed">{{ this.completed }}</span
              ><br />
              <span class="textbox">Completed</span>
            </v-card-text>
          </v-flex>
          <v-flex xs2 class="card-con">
            <img :src="images.rejected" class="icon-box" />
            <v-card-text class="box">
              <span class="rejected">{{ this.reject }}</span
              ><br />
              <span class="textbox">Rejected</span>
            </v-card-text>
          </v-flex>
        </v-layout>
      </v-card>

      <!-- ------------------------- Role User ------------------------- -->
      <v-layout v-if="role == 'User'">
        <v-flex xs12 class="sub-text">
          <span>จำนวน PV แต่ละวัน</span>
          <v-card class="card-graph">
            <!-- <canvas id="chart_pv" style="max-height: 350px;"></canvas> -->
            <div id="chart">
              <apexchart
                type="line"
                height="350"
                :options="chartOptions_pv"
                :series="series_pv"
              ></apexchart>
            </div>
          </v-card>
        </v-flex>
      </v-layout>
      <v-layout v-if="role == 'User'">
        <v-flex xs6 class="sub-text">
          <span>ค่าใช้จ่ายแต่ละเดือน</span>
          <v-card class="card-graph">
            <div id="chart">
              <apexchart
                type="bar"
                height="350"
                :options="chartOptions_monthly"
                :series="series_monthly"
              ></apexchart>
            </div>
            <!-- <canvas id="chart_monthly"></canvas> -->
          </v-card>
        </v-flex>
        <v-flex xs6 class="sub-text">
          <span>จำนวนรายการที่นำส่งภาษีหัก ณ ที่จ่ายแต่ละเดือน</span>
          <v-card class="card-graph">
            <!-- <canvas id="chart_taxmonth"></canvas> -->
            <div id="chart">
              <apexchart
                type="bar"
                height="350"
                :options="chartOptions_taxmonth"
                :series="series_taxmonth"
              ></apexchart>
            </div>
          </v-card>
        </v-flex>
      </v-layout>

      <v-layout v-if="role == 'User'">
        <v-flex xs6 class="sub-text">
          <v-layout style="margin-bottom: 20px;">
            <span>5 อันดับ ผู้รับเงินที่นำจ่าย</span>
          </v-layout>
          <v-card class="card-graph">
            <div id="chart">
              <apexchart
                type="bar"
                height="350"
                :options="chartOptions_expenses"
                :series="series_expenses"
              ></apexchart>
            </div>
            <!-- <canvas id="chart_expenses"></canvas> -->
          </v-card>
        </v-flex>
        <v-flex xs6 class="sub-text">
          <v-layout style="margin-bottom: 10px;">
            <v-flex xs8>
              <span>มูลค่าภาษีเงินได้ตลอดปี</span>
            </v-flex>
            <v-flex xs4>
              <v-select
                outline
                :items="items"
                name="taxyear"
                v-model="taxyear"
                hide-details
                @change="defaultDataTaxYear()"
              ></v-select>
            </v-flex>
          </v-layout>
          <v-card class="card-graph">
            <div id="chart">
              <apexchart
                type="bar"
                height="350"
                :options="chartOptions_incometype"
                :series="series_incometype"
              ></apexchart>
            </div>
            <!-- <canvas id="chart_incometype"></canvas> -->
          </v-card>
        </v-flex>
      </v-layout>
      <!-- ------------------------- End Role User ------------------------- -->

      <!-- ------------------------- Role Admin ------------------------- -->
      <v-layout v-if="role == 'Admin'">
        <v-flex xs12 class="sub-text">
          <span>จำนวน PV ที่นำจ่ายแต่ละเดือน</span>
          <v-card class="card-graph">
            <!-- <canvas id="chart_pv" style="max-height: 350px;"></canvas> -->
            <div id="chart">
              <apexchart
                type="line"
                height="350"
                :options="chartOptions_pv"
                :series="series_pv"
              ></apexchart>
            </div>
          </v-card>
        </v-flex>
      </v-layout>

      <v-layout v-if="role == 'Admin'">
        <v-flex xs6 class="sub-text">
          <span>5 อันดับ ผู้นำจ่ายที่จำนวน PV นำจ่ายมากที่สุด</span>
          <v-card class="card-graph">
            <div id="chart">
              <apexchart
                type="bar"
                height="350"
                :options="chartOptions_maxpv"
                :series="series_maxpv"
              ></apexchart>
            </div>
          </v-card>
        </v-flex>
        <v-flex xs6 class="sub-text">
          <span>5 อันดับ ผู้นำจ่ายที่มีจำนวนเงินนำจ่ายมากที่สุด</span>
          <v-card class="card-graph">
            <div id="chart">
              <apexchart
                type="bar"
                height="350"
                :options="chartOptions_maxamount"
                :series="series_maxamount"
              ></apexchart>
            </div>
          </v-card>
        </v-flex>
      </v-layout>

      <v-layout v-if="role == 'Admin'">
        <v-flex xs12 class="sub-text">
          <span>ช่องทางที่ผู้รับเงินชำระ</span>
          <v-card class="card-graph">
            <!-- <canvas id="circle" style="max-height: 350px;"></canvas> -->
            <!-- <v-flex xs6> -->
            <div id="chart">
              <apexchart
                type="donut"
                width="480"
                :options="chartOptions_paymentmethod"
                :series="series_paymentmethod"
              ></apexchart>
            </div>
            <!-- </v-flex> -->
          </v-card>
        </v-flex>
      </v-layout>
      <!-- ------------------------- End Role Admin ------------------------- -->
    </v-flex>
  </v-layout>
</template>

<script>
import Chart from "chart.js/auto";
import moment from "moment";
import VueApexCharts from "vue-apexcharts";
import { sync } from "vuex-pathify";

export default {
  components: {
    apexchart: VueApexCharts
  },
  data() {
    return {
      role: this.$cookies.get("role"),
      startdate: "",
      enddate: "",
      startmenu: false,
      endmenu: false,
      images: {
        com: require("../assets/dashboard.png"),
        total: require("../assets/total.png"),
        inprocess: require("../assets/inprocess.png"),
        completed: require("../assets/completed.png"),
        rejected: require("../assets/rejected.png")
      },
      totaltransaction: "",
      inprocess: "",
      completed: "",
      reject: "",

      chartpv: [],
      chartmonthly: [],
      charttaxmonth: [],
      chartexpenses: [],
      chartincometype: [],
      chartmaxamount: [],
      chartmaxpv: [],
      chartpaymentmethod: [],

      datenow: new Date(),
      defaultdata: [],
      taxyear: "",
      items: [],
      years: [],
      company_name: "",

      // จำนวน PV แต่ละวัน
      labels_data_pv: [],
      series_data_pv: [],
      series_pv: [],
      chartOptions_pv: {
        chart: {
          height: 350,
          type: "line",
          zoom: {
            enabled: false
          },
          toolbar: {
            show: false
          },
          fontFamily: "Sarabun, sans-serif"
        },
        dataLabels: {
          enabled: false
        },
        stroke: {
          curve: "smooth"
        },
        grid: {
          row: {
            colors: ["#f3f3f3", "transparent"],
            opacity: 0.5
          }
        },
        xaxis: {
          categories: this.labels_data_pv
        },
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        },
        yaxis: {
          labels: {
            formatter: function(val) {
              return Math.floor(val);
            }
          }
        },
        markers: {
          size: 6,
          colors: "#D7B30B"
        },
        colors: ["#3A8300"]
      },

      // ค่าใช้จ่ายแต่ละเดือน
      labels_data_monthly: [],
      series_data_monthly_vendor: [],
      series_data_monthly_rd: [],
      series_monthly: [],

      chartOptions_monthly: {
        chart: {
          type: "bar",
          height: 350,
          toolbar: {
            show: false
          },
          fontFamily: "Sarabun, sans-serif"
        },
        plotOptions: {
          bar: {
            horizontal: false,
            columnWidth: "55%",
            borderRadius: 4
          }
        },
        dataLabels: {
          enabled: false
        },
        stroke: {
          show: true,
          width: 2,
          colors: ["transparent"]
        },
        colors: ["#D7B30B", "#3A8300"],
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        },
        yaxis: {
          labels: {
            formatter: function(val) {
              return Math.floor(val);
            }
          }
        },
        tooltip: {
          y: {
            formatter: function(value) {
              return value.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1,");
            }
          }
        }
      },

      // จำนวนรายการที่นำส่งภาษีหัก ณ ที่จ่ายแต่ละเดือน
      labels_data_taxmonth: [],
      series_data_taxmonth: [],
      series_taxmonth: [],
      chartOptions_taxmonth: {
        chart: {
          type: "bar",
          height: 350,
          toolbar: {
            show: false
          },
          fontFamily: "Sarabun, sans-serif"
        },
        plotOptions: {
          bar: {
            horizontal: false,
            columnWidth: "55%",
            borderRadius: 4
          }
        },
        dataLabels: {
          enabled: false
        },
        stroke: {
          show: true,
          width: 2,
          colors: ["transparent"]
        },
        fill: {
          opacity: 1
        },
        colors: ["#3A8300"],
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        },
        yaxis: {
          labels: {
            formatter: function(val) {
              return Math.floor(val);
            }
          }
        }
      },

      // 5 อันดับ ผู้รับเงินที่นำจ่าย
      labels_data_expenses: [],
      series_data_expenses: [],
      series_expenses: [],
      chartOptions_expenses: {
        chart: {
          type: "bar",
          height: 350,
          toolbar: {
            show: false
          },
          fontFamily: "Sarabun, sans-serif"
        },
        plotOptions: {
          bar: {
            borderRadius: 4,
            horizontal: true,
            distributed: true
          }
        },
        dataLabels: {
          enabled: false
        },
        colors: ["#3A8300", "#618300", "#718300", "#798300", "#837E00"],
        legend: {
          show: false
        },
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        },
        xaxis: {
          labels: {
            formatter: function(val) {
              return Math.floor(val);
            }
          }
        },
        tooltip: {
          y: {
            formatter: function(value) {
              return value.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1,");
            }
          }
        }
      },

      // มูลค่าภาษีเงินได้ตลอดปี
      labels_data_incometype: [],
      series_data_incometype: [],
      series_incometype: [],
      chartOptions_incometype: {
        chart: {
          type: "bar",
          height: 350,
          toolbar: {
            show: false
          },
          fontFamily: "Sarabun, sans-serif"
        },
        plotOptions: {
          bar: {
            borderRadius: 4,
            horizontal: true,
            distributed: true
          }
        },
        dataLabels: {
          enabled: false
        },
        colors: ["#3A8300", "#618300", "#718300", "#798300", "#837E00"],
        legend: {
          show: false
        },
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        },
        xaxis: {
          labels: {
            formatter: function(val) {
              return Math.floor(val);
            }
          }
        },
        tooltip: {
          y: {
            formatter: function(value) {
              return value.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1,");
            }
          }
        }
      },

      // 5 อันดับ ผู้นำจ่ายที่จำนวน PV นำจ่ายมากที่สุด
      labels_data_maxpv: [],
      series_data_maxpv: [],
      series_maxpv: [],
      chartOptions_maxpv: {
        chart: {
          type: "bar",
          height: 350,
          toolbar: {
            show: false
          },
          fontFamily: "Sarabun, sans-serif"
        },
        plotOptions: {
          bar: {
            borderRadius: 4,
            horizontal: true,
            distributed: true
          }
        },
        dataLabels: {
          enabled: false
        },
        colors: ["#3A8300", "#618300", "#718300", "#798300", "#837E00"],
        legend: {
          show: false
        },
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        },
        xaxis: {
          labels: {
            formatter: function(val) {
              return Math.floor(val);
            }
          }
        },
        tooltip: {
          y: {
            formatter: function(value) {
              return parseInt(value);
            }
          }
        }
      },

      // 5 อันดับ ผู้นำจ่ายที่มีจำนวนเงินนำจ่ายมากที่สุด
      labels_data_maxamount: [],
      series_data_maxamount: [],
      series_maxamount: [],
      chartOptions_maxamount: {
        chart: {
          type: "bar",
          height: 350,
          toolbar: {
            show: false
          },
          fontFamily: "Sarabun, sans-serif"
        },
        plotOptions: {
          bar: {
            borderRadius: 4,
            horizontal: true,
            distributed: true
          }
        },
        dataLabels: {
          enabled: false
        },
        colors: ["#3A8300", "#618300", "#718300", "#798300", "#837E00"],
        legend: {
          show: false
        },
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        },
        xaxis: {
          labels: {
            formatter: function(val) {
              return Math.floor(val);
            }
          }
        },
        tooltip: {
          y: {
            formatter: function(value) {
              return value.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1,");
            }
          }
        }
      },

      // ช่องทางที่ผู้รับเงินชำระ
      labels_data_paymentmethod: [],
      series_data_paymentmethod: [],
      series_paymentmethod: [],
      chartOptions_paymentmethod: {
        chart: {
          width: 380,
          type: "donut",
          fontFamily: "Sarabun, sans-serif"
        },
        responsive: [
          {
            breakpoint: 480,
            options: {
              chart: {
                width: 200
              },
              legend: {
                position: "bottom"
              }
            }
          }
        ],
        plotOptions: {
          pie: {
            donut: {
              size: "55%"
            }
          }
        },
        colors: ["#00A3E3", "#FEC102", "#3A8300", "#4E2A82", "#2E2D9D"],
        legend: {
          formatter: function(label, opts) {
            return (
              label +
              " ( " +
              opts.w.globals.series[opts.seriesIndex] +
              " ครั้ง" +
              " ) "
            );
          }
        },
        noData: {
          text: "No data found",
          align: "center",
          verticalAlign: "middle",
          style: {
            fontSize: "14px"
          }
        }
      }
    };
  },
  async mounted() {
    if (this.role == "User") {
      await this.getMainCharts();
      await this.getMainChartsTaxUser();
    } else if (this.role == "Admin") {
      await this.getMainChartsAdmin();
    }
  },
  methods: {
    async getMainCharts() {
      try {
        var { data } = await this.axios.post(
          `${process.env.VUE_APP_APIHOST}/main/charts`,
          {
            data: this.defaultdata
          },
          {
            headers: { Authorization: this.$cookies.get("token") }
          }
        );
        if (data.status == "Success") {
          this.totaltransaction = data.total_transaction;
          this.inprocess = data.total_inprocess;
          this.completed = data.total_complete;
          this.reject = data.total_reject;

          // จำนวน PV แต่ละวัน
          this.labels_data_pv = [];
          this.series_data_pv = [];
          this.chartpv = data.chart_pv;

          for (let index = 0; index < this.chartpv.length; index++) {
            const element = this.chartpv[index];
            this.labels_data_pv.push(element.pv_day);
            this.series_data_pv.push(element.total_day);
          }

          this.chartOptions_pv = {
            labels: this.labels_data_pv
          };
          this.series_pv = [
            {
              name: "จำนวน PV ",
              data: this.series_data_pv
            }
          ];

          // ค่าใช้จ่ายแต่ละเดือน
          this.labels_data_monthly = [];
          this.series_data_monthly_vendor = [];
          this.series_data_monthly_rd = [];

          this.chartmonthly_vendor = data.chart_monthly_vendor;
          this.chartmonthly_rd = data.chart_monthly_rd;
          for (
            let index = 0;
            index < this.chartmonthly_vendor.length;
            index++
          ) {
            const element = this.chartmonthly_vendor[index];
            this.labels_data_monthly.push(element.date);
            this.series_data_monthly_vendor.push(element.total_vendor);
          }
          for (let index = 0; index < this.chartmonthly_rd.length; index++) {
            const element = this.chartmonthly_rd[index];
            this.series_data_monthly_rd.push(element.total_rd);
          }

          this.chartOptions_monthly = {
            labels: this.labels_data_monthly
          };
          this.series_monthly = [
            {
              name: "Vendor ",
              data: this.series_data_monthly_vendor
            },
            {
              name: "RD ",
              data: this.series_data_monthly_rd
            }
          ];

          // จำนวนรายการที่นำส่งภาษีหัก ณ ที่จ่ายแต่ละเดือน
          this.labels_data_taxmonth = [];
          this.series_data_taxmonth = [];
          this.charttaxmonth = data.chart_taxmonth;
          for (let index = 0; index < this.charttaxmonth.length; index++) {
            const element = this.charttaxmonth[index];
            this.labels_data_taxmonth.push(element.date);
            this.series_data_taxmonth.push(element.amount);
          }

          this.chartOptions_taxmonth = {
            labels: this.labels_data_taxmonth
          };
          this.series_taxmonth = [
            {
              name: "จำนวนรายการ ",
              data: this.series_data_taxmonth
            }
          ];

          // 5 อันดับ ผู้รับเงินที่นำจ่าย
          this.labels_data_expenses = [];
          this.series_data_expenses = [];
          this.chartexpenses = data.chart_expenses;
          for (let index = 0; index < this.chartexpenses.length; index++) {
            const element = this.chartexpenses[index];
            this.labels_data_expenses.push(element.receiver_company);
            this.series_data_expenses.push(element.total_amount);
          }

          this.chartOptions_expenses = {
            labels: this.labels_data_expenses
          };
          this.series_expenses = [
            {
              name: "จำนวนเงิน (บาท) ",
              data: this.series_data_expenses
            }
          ];
        }
      } catch (error) {
        console.log(error.message);
      }
    },
    defaultData() {
      if (this.startdate != "" && this.enddate != "") {
        this.defaultdata = {
          startdate: this.startdate,
          enddate: this.enddate
        };
        if (this.role == "User") {
          this.getMainCharts();
        } else if (this.role == "Admin") {
          this.getMainChartsAdmin();
        }
      }
    },
    defaultDataTaxYear() {
      if (this.taxyear != "") {
        this.years = {
          years: this.taxyear
        };

        this.getMainChartsTaxUser();
      }
    },
    async getMainChartsTaxUser() {
      try {
        var { data } = await this.axios.post(
          `${process.env.VUE_APP_APIHOST}/main/charts_tax_user`,
          {
            data: this.years
          },
          {
            headers: { Authorization: this.$cookies.get("token") }
          }
        );
        if (data.status == "Success") {
          for (let index = 0; index < data.tax_years.length; index++) {
            const element = data.tax_years[index];
            if (element) {
              this.items.push(element.tax_years);
            }
          }

          // มูลค่าภาษีเงินได้ตลอดปี
          this.labels_data_incometype = [];
          this.series_data_incometype = [];

          this.chartincometype = data.chart_income;
          for (let index = 0; index < this.chartincometype.length; index++) {
            const element = this.chartincometype[index];
            this.labels_data_incometype.push(element.type_rd);
            this.series_data_incometype.push(element.total_amount);
          }

          this.chartOptions_incometype = {
            labels: this.labels_data_incometype
          };
          this.series_incometype = [
            {
              name: "จำนวนเงิน (บาท) ",
              data: this.series_data_incometype
            }
          ];
        }
      } catch (error) {
        console.log(error.message);
      }
    },
    async getMainChartsAdmin() {
      try {
        var { data } = await this.axios.post(
          `${process.env.VUE_APP_APIHOST}/chart_admin`,
          {
            data: this.defaultdata
          },
          {
            headers: { Authorization: this.$cookies.get("token") }
          }
        );

        if (data.status == "Success") {
          this.startdate = data.month_start;
          this.enddate = data.month_end;
          this.totaltransaction = data.total_transaction;
          this.inprocess = data.total_inprocess;
          this.completed = data.total_complete;
          this.reject = data.total_reject;

          // จำนวน PV แต่ละวัน
          this.labels_data_pv = [];
          this.series_data_pv = [];
          this.chartpv = data.chart_pv;

          for (let index = 0; index < this.chartpv.length; index++) {
            const element = this.chartpv[index];
            this.labels_data_pv.push(element.pv_month);
            this.series_data_pv.push(element.total_day);
          }

          this.chartOptions_pv = {
            labels: this.labels_data_pv
          };
          this.series_pv = [
            {
              name: "จำนวน PV ",
              data: this.series_data_pv
            }
          ];

          // 5 อันดับ ผู้นำจ่ายที่จำนวน PV นำจ่ายมากที่สุด
          this.labels_data_maxpv = [];
          this.series_data_maxpv = [];

          this.chartmaxpv = data.chart_maxpv;
          for (let index = 0; index < this.chartmaxpv.length; index++) {
            const element = this.chartmaxpv[index];
            this.labels_data_maxpv.push(element.company_name);
            this.series_data_maxpv.push(element.total_completed);
          }

          this.chartOptions_maxpv = {
            labels: this.labels_data_maxpv
          };
          this.series_maxpv = [
            {
              name: "จำนวน PV ",
              data: this.series_data_maxpv
            }
          ];

          // 5 อันดับ ผู้นำจ่ายที่มีจำนวนเงินนำจ่ายมากที่สุด
          this.labels_data_maxamount = [];
          this.series_data_maxamount = [];

          this.chartmaxamount = data.chart_maxamount;
          for (let index = 0; index < this.chartmaxamount.length; index++) {
            const element = this.chartmaxamount[index];
            this.labels_data_maxamount.push(element.company_id);
            this.series_data_maxamount.push(element.total_amount);
          }

          this.chartOptions_maxamount = {
            labels: this.labels_data_maxamount
          };
          this.series_maxamount = [
            {
              name: "จำนวนเงิน (บาท) ",
              data: this.series_data_maxamount
            }
          ];

          // ช่องทางที่ผู้รับเงินชำระ
          this.labels_data_paymentmethod = [];
          this.series_data_paymentmethod = [];

          this.chartpaymentmethod = data.chart_paymentmethod;
          for (let index = 0; index < this.chartpaymentmethod.length; index++) {
            const element = this.chartpaymentmethod[index];
            this.labels_data_paymentmethod.push(element.payment);
            this.series_data_paymentmethod.push(element.total);
          }

          this.chartOptions_paymentmethod = {
            series: this.series_data_paymentmethod,
            labels: this.labels_data_paymentmethod
          };
        }
      } catch (error) {
        console.log(error.message);
      }
    }
  },
  computed: {
    computedDateFormattedMomentjs() {
      return this.date ? moment(this.date).format("YYYY-MM-DD") : "";
    },
    tokenHashTaxid: sync("tokenHashTaxid")
  },
  created() {},
  watch: {
    tokenHashTaxid(data) {
      this.getMainChartsAdmin();
    }
  }
};
</script>

<style scoped>
.card-summary {
  background: #fffbe6;
  border-radius: 16px;
}
.card-con {
  display: flex;
  justify-content: center;
  margin: 50px 5px;
  min-width: fit-content;
}
.box {
  background-color: white;
  padding: 10px 50px;
  border-radius: 8px;
  text-align: center;
}
.icon-box {
  width: 50px;
  height: 50px;
  position: absolute;
  margin-top: 2%;
  margin-right: 160px;
  /* margin-top: -40px; */
}
.total {
  color: #00b0ff;
  font-weight: bold;
  font-size: 28px;
  line-height: 40px;
  text-align: center;
}
.inprocess {
  color: #e9a016;
  font-weight: bold;
  font-size: 28px;
  line-height: 40px;
  text-align: center;
}
.completed {
  color: #58a144;
  font-weight: bold;
  font-size: 28px;
  line-height: 40px;
  text-align: center;
}
.rejected {
  color: #d1392b;
  font-weight: bold;
  font-size: 28px;
  line-height: 40px;
  text-align: center;
}
.textbox {
  color: #757575;
  text-align: center;
  font-weight: bold;
  font-size: 16px;
  line-height: 24px;
  font-family: "Sarabun", sans-serif;
}
.sub-text {
  font-weight: bold;
  font-size: 18px;
  line-height: 26px;
  color: #333333;
  margin: 16px 0px;
  font-family: "Sarabun", sans-serif;
}
.card-graph {
  background: #ffffff;
  border-radius: 16px;
  margin: 6px;
}
</style>
